#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::Postgres;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

if( $#ARGV != 2 )
{
         print "Error ! Exec this script as it : create_postgres base user pass";
         print "Example : create_mysql soda prout";
}


$user = new Vhffs::User( $princ , "soda" , 401) ;
my $group = new Vhffs::Group( $princ , "sodaproject" , 401) ;


print "gros con" if ( $group->fetch < 0 );

my $sql = new Vhffs::Services::Postgres( $princ , "$ARGV[0]" , $user , $group);

if( defined $sql )
{
	print "object created\n";
}
else
{
	print "object error\n";
	exit;
}

if( $sql->set_dbusername( $ARGV[1] ) < 0 )
{
	print "L'utilisateur Mysql desire est deja pris !";
	exit 0;
}
$sql->set_dbpassword( $ARGV[2] );
$sql->set_user( $user );
$sql->set_group( $group );

if( $sql->create > 0)
{
	
	print "Successfully create sql object in the database\n";
}
else
{
	print "ERROR while create sql object in the database\n";
}

if ( $sql->fetch < 0 )
{
	print "error while fetching informations in the database";
}
$sql->commit;


